package net.crystalyx.sharewithtitle;

import org.jsoup.Jsoup;

import java.io.IOException;
import java.net.URL;

public class HttpThreadHandler implements Runnable {
    private final URL url;
    private String title;
    private String errorMessage;

    public HttpThreadHandler(URL url) {
        this.url = url;
    }

    @Override
    public void run() {
        try {
            title = Jsoup.connect(url.toString()).get().title();
        } catch (IOException e) {
            errorMessage = e.getMessage();
        }
    }

    public String getTitle() {
        return title;
    }

    public String getErrorMessage() {
        return errorMessage;
    }
}
